Summary: Minimalistic user-space Netlink utility library
Name: libmnl
Version: 1.0.5
Release: r0
License: LGPL-2.1-or-later
Group: libs
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: https://www.netfilter.org/projects/libmnl/index.html
Source0: libmnl-1.0.5.tar.bz2
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: pkgconfig-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc

%description
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.

%package -n libmnl-src
Summary: Minimalistic user-space Netlink utility library - Source files
License: LGPL-2.1-or-later
Group: devel

%description -n libmnl-src
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.  This package contains sources for debugging
purposes.

%package -n libmnl-dbg
Summary: Minimalistic user-space Netlink utility library - Debugging files
License: LGPL-2.1-or-later
Group: devel
Recommends: glibc-dbg

%description -n libmnl-dbg
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n libmnl-staticdev
Summary: Minimalistic user-space Netlink utility library - Development files (Static Libraries)
License: LGPL-2.1-or-later
Group: devel
Requires: libmnl-dev = 1.0.5-r0

%description -n libmnl-staticdev
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.  This package contains static libraries for
software development.

%package -n libmnl-dev
Summary: Minimalistic user-space Netlink utility library - Development files
License: LGPL-2.1-or-later
Group: devel
Requires: libmnl
Recommends: glibc-dev
Recommends: libmnl0 = 1.0.5-r0

%description -n libmnl-dev
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n libmnl-doc
Summary: Minimalistic user-space Netlink utility library - Documentation files
License: LGPL-2.1-or-later
Group: doc

%description -n libmnl-doc
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.  This package contains documentation.

%package -n libmnl-locale
Summary: Minimalistic user-space Netlink utility library
License: LGPL-2.1-or-later
Group: libs

%description -n libmnl-locale
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.

%package -n libmnl0
Summary: Minimalistic user-space Netlink utility library
License: LGPL-2.1-or-later
Group: libs
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Provides: libmnl = 1.0.5
Provides: libmnl.so.0()(64bit)
Provides: libmnl.so.0(LIBMNL_1.0)(64bit)
Provides: libmnl.so.0(LIBMNL_1.1)(64bit)
Provides: libmnl.so.0(LIBMNL_1.2)(64bit)

%description -n libmnl0
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.

%post -n libmnl0
# libmnl0 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libmnl-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libmnl"
%attr(755,root,root) %dir "/usr/src/debug/libmnl/1.0.5"
%attr(755,root,root) %dir "/usr/src/debug/libmnl/1.0.5/include"
%attr(755,root,root) %dir "/usr/src/debug/libmnl/1.0.5/src"
%attr(755,root,root) %dir "/usr/src/debug/libmnl/1.0.5/include/libmnl"
%attr(755,root,root) %dir "/usr/src/debug/libmnl/1.0.5/include/linux"
%attr(644,root,root) "/usr/src/debug/libmnl/1.0.5/include/libmnl/libmnl.h"
%attr(644,root,root) "/usr/src/debug/libmnl/1.0.5/include/linux/socket.h"
%attr(644,root,root) "/usr/src/debug/libmnl/1.0.5/include/linux/netlink.h"
%attr(644,root,root) "/usr/src/debug/libmnl/1.0.5/src/callback.c"
%attr(644,root,root) "/usr/src/debug/libmnl/1.0.5/src/socket.c"
%attr(644,root,root) "/usr/src/debug/libmnl/1.0.5/src/nlmsg.c"
%attr(644,root,root) "/usr/src/debug/libmnl/1.0.5/src/attr.c"

%files -n libmnl-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libmnl.so.0.2.0"

%files -n libmnl-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/include/libmnl"
%attr(644,root,root) "/usr/include/libmnl/libmnl.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libmnl.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libmnl.pc"

%files -n libmnl0
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) "/usr/lib/libmnl.so.0.2.0"
%attr(777,root,root) "/usr/lib/libmnl.so.0"

%%prep
echo "include logs and patches, Please check them in SOURCES"

